Macro FlattenWire

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro FlattenWire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština

Macro FlattenWire.png FlattenWire

Descripción
Esta macro aplana contornos de croquizado que no son planos a la mediana de su coordenada Z

Versión macro : 1.0
Fecha última modificación : 2011-08-01
Versión FreeCAD : All
Descargar : ToolBar Icon
Autor
Yorik
Descargar
ToolBar Icon
Enlace
Versión Macro
1.0
Fecha última modificación
2011-08-01
Versión(es) FreeCAD
All
Acceso directo predeterminado
None
Ver también
None


Descriptivo

Esta macro aplana contornos de coquizado que no son planos a la mediana de su coordenada Z

Rescripto

ToolBar Icon Macro FlattenWire.png

Macro_FlattenWire.FCMacro

import FreeCAD
obj = FreeCAD.ActiveDocument.ActiveObject
z = 0
for p in obj.Points: z += p.z
z = z/len(obj.Points)
newpoints = []
for p in obj.Points: newppoints.append(FreeCAD.Vector(p.x,p.y,z))
obj.Points = newppoints